Subject: bug#72090: closed (Re: bug#72090: [Improvement] Option for disabling truncation symbols)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jan 2025 01:18:02 +0000

Your bug report

#72090: [Improvement] Option for disabling truncation symbols

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72090: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72090
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72090: [Improvement] Option for disabling truncation symbols
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: the_wurfkreuz <[email-masked]>, [email-masked]
Date: Wed, 1 Jan 2025 19:17:50 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> tags 72090 notabug
> thanks
>
>> Date: Sat, 13 Jul 2024 08:51:58 +0000
>> From:  the_wurfkreuz via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>>
>> I haven't found a way to disable truncation characters when I'm not using
>> line wrapping.
>
> What do you mean by "disable"?  If you mean force Emacs not to show
> any glyph there, then there's no way of disabling that completely.
>
>> There is a way to make them appear as empty spaces:
>>
>> (set-display-table-slot standard-display-table 'truncation ?\ )
>>
>> However, this isn't a real solution because it still takes up buffer
>> space for no benefit.
>
> Yes, and that's by design.
>
>> In some cases, truncation symbols on the left side of the buffer seem
>> completely pointless. There's no additional context to be derived from them,
>> and they just clutter the buffer.
>
> I don't agree that they are clutter.  They serve as a clear indication
> that the line was truncated.  Since Emacs supports a feature whereby
> only the current line is hscrolled, this indication is important.
>
> I'm not interested in adding a feature that would disable these glyphs
> on TTY frames.  (On GUI frames, Emacs does not show these glyphs by
> default, and the continuation/truncation indications are shown on the
> fringes.)

I'm therefore closing this bug report.

Subject: [Improvement] Option for disabling truncation symbols
From: the_wurfkreuz <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 13 Jul 2024 08:51:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I haven't found a way to disable truncation characters when I'm not using
line wrapping.
There is a way to make them appear as empty spaces:

(set-display-table-slot standard-display-table 'truncation ?\ )

However, this isn't a real solution because it still takes up buffer
space for no benefit.

In some cases, truncation symbols on the left side of the buffer seem
completely pointless. There's no additional context to be derived from them,
and they just clutter the buffer.